Fulfillment & ShippingRates
Create or update shipping rates in a batch
Creates or updates up to 100 shipping rate rows and returns a result for each row.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/shipping/rates/batch" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "rows": [ { "action": "create", "shippingRateId": "7204558912004326014", "shippingMethodId": "7204558912004325207", "type": "Envío estándar", "zoneCode": "LIMA", "price": "Envío estándar", "currency": "PEN", "minOrderPrice": "Envío estándar" } ] }'{ "results": [ { "index": 1, "id": "7204558912004323810", "status": "created", "errors": [] } ]}